org.springframework.web.bind.support

## Interface WebBindingInitializer

- All Known Implementing Classes:
    ConfigurableWebBindingInitializer

      public interface WebBindingInitializer

  Callback interface for initializing a `WebDataBinder` for performing data binding in the context of a specific web request.
  Since:
    2.5
  Author:
    Juergen Hoeller

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initBinder(WebDataBinder binder, WebRequest request)` Initialize the given DataBinder for the given request.

- - ### Method Detail

    - #### initBinder

          void initBinder(WebDataBinder binder,
                        WebRequest request)

      Initialize the given DataBinder for the given request.
      Parameters:
        `binder` - the DataBinder to initialize
        `request` - the web request that the data binding happens within